# -*- encoding : utf-8 -*-
require 'fakecrm/resource/custom_type'

module Fakecrm
  class CustomAttribute
    include DataMapper::Resource

    belongs_to :custom_type

    property :id,             Serial
    property :name,           String, :required => true
    property :title,          String
    property :type,           Enum["string", "text", "enum", "multienum"], :required => true
    property :mandatory,      Boolean, :default => false
    property :max_length,     Integer, :default => 100
    property :valid_values,   CommaSeparatedList

  end
end

