# -*- encoding : utf-8 -*-

module Fakecrm
  class Mailing
    include DataMapper::Resource

    property :id,                 Serial
    property :title,              String,   :required => true
    property :mailing_type,       String,   :required => true

    property :body,               Text
    property :dtstart_at,         DateTime
    property :email_from,         String
    property :email_reply_to,     String
    property :email_subject,      String
    property :html_body,          Text

    property :released_at,        DateTime
    property :created_at,         DateTime
    property :changed_at,         DateTime
    property :updated_at,         DateTime
    property :deleted_at,         ParanoidDateTime

    property :updated_by,         String, :default => 'root'
    property :released_by,        String, :default => 'root'

    belongs_to :event, :required => false
  end
end

