# -*- encoding : utf-8 -*-
require 'fakecrm/fetch'
require 'fakecrm/drop'

require 'fakecrm/server/accounts'
require 'fakecrm/server/activities'
require 'fakecrm/server/contacts'
require 'fakecrm/server/custom_types'
require 'fakecrm/server/events'
require 'fakecrm/server/event_contacts'
require 'fakecrm/server/mailings'
require 'fakecrm/server/roles'
require 'fakecrm/server/templates'

module Fakecrm
  class Server < Sinatra::Base
    use Rack::PostBodyContentTypeParser
    use Rack::Locale

    include Fetch
    include Drop

    include Accounts
    include Activities
    include Contacts
    include CustomTypes
    include Events
    include EventContacts
    include Mailings
    include Roles
    include Templates

  end

end


