# -*- encoding : utf-8 -*-
require 'singleton'
require 'logger'
require 'data_mapper'
require 'thin'
require 'i18n'
require 'rack'
require 'base64'
require 'json'
require 'sinatra/base'
require 'rack/contrib/post_body_content_type_parser'
require 'rack/contrib/locale'

require 'fakecrm/version'
require 'fakecrm/configuration'
require 'fakecrm/application'
require 'fakecrm/server'

# dynamic_require 'fakecrm/resource'
# dynamic_require 'fakecrm/initialize'

module Fakecrm
  # fix for retared rack/commonlogger
  class Logger < ::Logger
    alias_method :write, :<<
  end

  def self.logger
    Application.instance.logger
  end

  def self.run!
    Application.instance.run!
  end
end
