# -*- encoding : utf-8 -*-
require 'monkey_patch_datamapper'

DataMapper.auto_upgrade!

contact = Fakecrm::Contact.first_or_create(:last_name => 'root', :login => 'root', :gender => 'N', :language => 'en', :email => 'root@root.org')
Fakecrm::Password.first_or_create(:password => 'root', :contact => contact)


Fakecrm::CustomType.first_or_create(:name => 'contact', :kind => 'Contact')

Fakecrm::CustomType.first_or_create(:name => 'account', :kind => 'Account')

Fakecrm::CustomType.all.each do |custom_type|
  Fakecrm::TypeExtender.new(custom_type).extend!
end


