class DataMapper::Validations::ValidationErrors
  def self.default_error_message(key, field, *values)
    begin
      message = I18n.t!(:"messages.#{key}") 
    rescue
      ::Fakecrm.logger.debug("Translation for message key #{key} not found (locale=#{I18n.locale})")
      message = @@default_error_messages[key]
    end
    field = DataMapper::Inflector.humanize(field)
    message % [field, *values].flatten
  end
end
