# -*- encoding : utf-8 -*-
#
module Fakecrm
  class Account
    include DataMapper::Resource

    property :id,                 Serial
    property :name,               String,   :required => true

    property :account_group,      String
    property :country,            String
    property :extended_address,   String
    property :home_page,          String
    property :locality,           String
    property :merged_into_id,     String
    property :org_name_address,   String
    property :org_unit_address,   String
    property :phone,              String
    property :postalcode,         String
    property :region,             String
    property :street_address,     String
    property :want_geo_location,  Boolean

    property :created_at,         DateTime
    property :changed_at,         DateTime
    property :updated_at,         DateTime
    property :deleted_at,         ParanoidDateTime

    property :updated_by,         String, :default => 'root'

  end
end

