# -*- encoding : utf-8 -*-
require 'fakecrm/resource/contact'

module Fakecrm
  class Password
    include DataMapper::Resource

    property :id,       Serial
    property :token,    String, :default => 'dead' * 10
    property :password, String

    validates_length_of :password, :min => 1, :unless => lambda { |p| p.password.nil? }

    belongs_to :contact
  end
end

