# -*- encoding : utf-8 -*-
module Fakecrm
  class Role
    include DataMapper::Resource

    property :id,               String, :key => true # default will not work here
    property :name,             String, :required => true
    property :description,      String

    property :permissions,      CommaSeparatedList
    
    def name=(new_name)
      self.id = new_name if self.id.nil?
      super
    end
  end
end

