# -*- encoding : utf-8 -*-
module Fakecrm
  module Templates

    def self.included(base)
      base.class_eval do

        get '/crm/api/templates.?:format?' do
          template = Template.first_or_create
          template.templates.to_json
        end

        put '/crm/api/templates.?:format?' do
          template = Template.first_or_create
          template.body = params['templates']
          template.save
        end

      end
    end
  end
end


