# required monkey patch for datamapper gem

module DataMapper
  class Property
    module DirtyMinder
      # Catch any direct assignment (#set), and any Resource#reload (set!).
      def set!(resource, value)
        if Hooker::MUTATION_METHODS.keys.detect { |klass| value.kind_of?(klass) }
          hook_value(resource, value) unless value.kind_of? Hooker
        end
        super
      end
    end
  end
end
